Bug 504851 - Macbook 3rd Generation - Wrong resolution Intel 945GM
Macbook 3rd Generation - Wrong resolution Intel 945GM
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 14:44 EDT by the.vulpeculae
Modified: 2009-06-24 04:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 07:50:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci (1.84 KB, text/plain)
2009-06-09 14:48 EDT, the.vulpeculae
no flags Details
log from Intel Desktop Board DG45ID (68.29 KB, text/plain)
2009-06-11 08:48 EDT, Thomas Groß
no flags Details
dmesg from Intel Desktop Board DG45ID (39.40 KB, text/plain)
2009-06-11 08:49 EDT, Thomas Groß
no flags Details
working xorg.conf (2.19 KB, text/plain)
2009-06-11 08:50 EDT, Thomas Groß
no flags Details
Xorg.conf (68 bytes, text/plain)
2009-06-23 07:42 EDT, the.vulpeculae
no flags Details

  None (edit)
Description the.vulpeculae 2009-06-09 14:44:34 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1b4) Gecko/20090427 Fedora/3.5-0.20.beta4.fc11 Firefox/3.5b4

After installing Fedora 11 from the Dvd image, a wrong resolution is set.

Only options in Display preference is 1024x768 & 800x600. 
Correct resolution should be 1280x800

Also refresh rate is set to 61hz, no other options.

Reproducible: Always

Steps to Reproduce:
1.Install Fedora 11 using the Dvd image
2.Wrong resolution
3.
Actual Results:  
The monitor is set to 1024x768

Expected Results:  
The monitor should be set to 1280x800
Comment 1 the.vulpeculae 2009-06-09 14:48:36 EDT
Created attachment 347073 [details]
lspci
Comment 2 Thomas Groß 2009-06-10 04:33:49 EDT
I see the same problem booting from Fedora Core 11 live or install media on an Intel Desktop Board DG45ID with G45 graphic.

KMS sets the Resolution correctly to 1920x1200 while showing the console and boot messages. When X starts the resolution is set to 1024x768 and cannot be changed with the GNOME desktop tools.

Another issue is that i only get a picture if i connect the monitor via HDMI. If i use DVI or Analog output i only get a blank screen and the monitor goes into powersafe mode. DVI never worked correctly for me with this board so no surprise, i cannot even get it to dispaly the BIOS screen. But FC10 worked correctly with analog output.

When i'm home i'll try to get an Xorg.log from the live media and attach it here.
Comment 3 Matěj Cepl 2009-06-10 12:30:44 EDT
Xservers I have just marked as %config in my patch
Xaccess certianly should be %config
Xwilling you are right, it should be %config
Xstartup this one as well
xdm-config has been already %config before

will fix.
Comment 4 Matěj Cepl 2009-06-11 06:06:03 EDT
(In reply to comment #3)
> Xservers I have just marked as %config in my patch
> Xaccess certianly should be %config
> Xwilling you are right, it should be %config
> Xstartup this one as well
> xdm-config has been already %config before
> 
> will fix.

Whoops, wrong tab. Sorry
Comment 5 Matěj Cepl 2009-06-11 06:08:04 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Thomas Groß 2009-06-11 08:47:41 EDT
Since i have the same issue here are my Xorg.log and dmesg output.

I also attached a working xorg.conf. I generated this with x -configure and added the Modes line in the Display section. After that X starts with the correct resolution and lets me choose all the resolutions my monitor supports.
Comment 7 Thomas Groß 2009-06-11 08:48:53 EDT
Created attachment 347392 [details]
log from Intel Desktop Board DG45ID
Comment 8 Thomas Groß 2009-06-11 08:49:47 EDT
Created attachment 347393 [details]
dmesg from Intel Desktop Board DG45ID
Comment 9 Thomas Groß 2009-06-11 08:50:29 EDT
Created attachment 347394 [details]
working xorg.conf
Comment 10 Adam Jackson 2009-06-19 14:58:32 EDT
Kevin, can you please attach your X log.  Either we're not finding the panel size correctly, or we're sensing an output as connected when it really isn't.
Comment 11 the.vulpeculae 2009-06-23 07:42:19 EDT
Created attachment 349080 [details]
Xorg.conf

Sorry for the long delay, been quite busy. I found the problem, I was using the Vesa drivers...

I installed fedora 11 with the basic video drivers because the normal install would just freeze for some reason.
Comment 12 Matěj Cepl 2009-06-23 08:28:18 EDT
(In reply to comment #11)
> Sorry for the long delay, been quite busy. I found the problem, I was using the
> Vesa drivers...
> 
> I installed fedora 11 with the basic video drivers because the normal install
> would just freeze for some reason.  

Sorry, so can you confirm that your computer now works with intel driver from F11? I don't see how could we close this bug as resolved otherwise.

Of course, if you don't want to continue in this bug and just want to freely use your computer without stupid requirements for retesting new packages, you very free to do so, and we can just close this bug as INSUFFICIENT_DATA.

Thanks in advance for any reply.
Comment 13 the.vulpeculae 2009-06-24 04:42:55 EDT
I confirm that it works with the intel drivers.

Is there some more information you need? I'll help if I can.

Note You need to log in before you can comment on or make changes to this bug.